#include "X3D_Geometry3DCreator.h"
#include "X3D_Box.h"
#include "X3D_Cone.h"
#include "X3D_Cylinder.h"
#include "X3D_IndexedFaceSet.h"
#include "X3D_Sphere.h"

namespace X3DTK {
namespace X3D {

Geometry3DCreator::Geometry3DCreator()
{
  defineComponentName("Geometry3D", "X3D");

  define(Recorder<Box>::getCreationFunction());
  define(Recorder<Cone>::getCreationFunction());
  define(Recorder<Cylinder>::getCreationFunction());
  define(Recorder<IndexedFaceSet>::getCreationFunction());
  define(Recorder<Sphere>::getCreationFunction());
}

Geometry3DCreator::~Geometry3DCreator()
{
}

}
}
