#include "X3D_DirectionalLight.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

DirectionalLight::DirectionalLight()
: X3DLightNode()
{
  define(Recorder<DirectionalLight>::getTypeName("DirectionalLight", "Lighting"));
  
  define(Recorder<DirectionalLight, SFVec3f>::getAttribute("direction", &DirectionalLight::_direction, SFVec3f(0.0f,0.0f,-1.0f)));
}

DirectionalLight::~DirectionalLight()
{
}

void DirectionalLight::setDirection(const SFVec3f &direction)
{
  _direction = direction;
}

}
}
