#include "X3D_ContourPolyline2D.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

ContourPolyline2D::ContourPolyline2D()
: X3DParametricGeometryNode()
{
  define(Recorder<ContourPolyline2D>::getTypeName("ContourPolyline2D", "NURBS"));
  
  define(Recorder<ContourPolyline2D, MFVec2f>::getAttribute("point", &ContourPolyline2D::_point, MFVec2f()));
}

ContourPolyline2D::~ContourPolyline2D()
{
}

void ContourPolyline2D::setPoint(const MFVec2f &point)
{
  _point = point;
}

}
}
