#include "X3D_TriangleSet.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

TriangleSet::TriangleSet()
: X3DComposedGeometryNode()
{
  define(Recorder<TriangleSet>::getTypeName("TriangleSet", "Rendering"));
  
  define(Recorder<TriangleSet, SFBool>::getAttribute("convex", &TriangleSet::_convex, true));
  define(Recorder<TriangleSet, SFFloat>::getAttribute("creaseAngle", &TriangleSet::_creaseAngle, 0.0f));
}

TriangleSet::~TriangleSet()
{
}

void TriangleSet::setConvex(const SFBool &convex)
{
  _convex = convex;
}

void TriangleSet::setCreaseAngle(const SFFloat &creaseAngle)
{
  _creaseAngle = creaseAngle;
}

}
}
