#include "MESH_Shape.h"
#include "X3D_X3DAppearanceNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace MESH {

Shape::Shape()
: X3DNode()
{
  define(Recorder<Shape>::getTypeName("Shape"));
  
  define(Recorder<Shape, X3D::X3DNode>::getSFNode("appearance", &Shape::_appearance));
  define(Recorder<Shape, X3DNode>::getSFNode("mesh", &Shape::_mesh));
}

Shape::~Shape()
{
  removeChildren();
}

}
}
