#include "X3D_ImageTexture.h"

namespace X3DTK {
namespace X3D {

ImageTexture::ImageTexture()
: X3DTexture2DNode()
{
  define(Recorder<ImageTexture>::getTypeName("ImageTexture", "Texturing"));
  
  define(Recorder<ImageTexture, MFString>::getAttribute("url", &ImageTexture::_url, MFString()));
}

ImageTexture::~ImageTexture()
{
}

void ImageTexture::setUrl(const MFString &url)
{
  _url = url;
}

}
}
