#include "X3D_X3DTexture2DNode.h"

namespace X3DTK {
namespace X3D {

X3DTexture2DNode::X3DTexture2DNode()
: X3DTextureNode()
{
  define(Recorder<X3DTexture2DNode>::getTypeName("X3DTexture2DNode", "Texturing"));
  
  define(Recorder<X3DTexture2DNode, SFBool>::getAttribute("repeatS;", &X3DTexture2DNode::_repeatS, true));
  define(Recorder<X3DTexture2DNode, SFBool>::getAttribute("repeatT", &X3DTexture2DNode::_repeatT, true));
}

X3DTexture2DNode::~X3DTexture2DNode()
{
}

void X3DTexture2DNode::setRepeatS(const SFBool &repeatS)
{
  _repeatS = repeatS;
}

void X3DTexture2DNode::setRepeatT(const SFBool &repeatT)
{
  _repeatT = repeatT;
}

}
}
