#include "X3D_FileValidatorCoreVisitor.h"
#include "X3D_X3DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

FileValidatorCoreVisitor::FileValidatorCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  define(Recorder<X3DNode>::getEnterFunction(&FileValidatorCoreVisitor::enterX3DNode));
}

void FileValidatorCoreVisitor::enterX3DNode(X3DNode *N) 
{
  FileValidatorStateVariables *stateVariables = Singleton<FileValidatorStateVariables>::getInstance();
  cx3d << "node " << stateVariables->getNode() << " " << N->getTypeName() << endl;
  stateVariables->addNode();
}

}
}
